## kxstitch 2.2.0+p24.04+vstable+git20251231.0459

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vstable+git20251231.0459-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 04:59:20 +0000

## kxstitch 2.2.0+p24.04+vstable+git20260103.0101

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vstable+git20260103.0101-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 01:01:58 +0000

## kxstitch 2.2.0+p24.04+vstable+git20260107.0738

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vstable+git20260107.0738-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 07:38:33 +0000

## kxstitch 2.2.0+p24.04+vstable+git20260122.0452

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vstable+git20260122.0452-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 04:52:16 +0000

## kxstitch 2.2.0+p24.04+vstable+git20260131.0237

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vstable+git20260131.0237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:37:34 +0000

=== debian/control ===
Source: kxstitch
Uploaders: Scarlett Moore <sgmoore@kde.org>
Section: misc
Priority: optional
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               extra-cmake-modules,
               gettext,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libmagick++-6.q16-dev,
               libqt5x11extras5-dev,
               pkg-kde-tools,
               qtbase5-dev,
               shared-mime-info
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://www.kde.org/applications/graphics/kxstitch
Vcs-Git: https://invent.kde.org/neon/extras/kxstitch.git
Vcs-Browser: https://invent.kde.org/neon/extras/kxstitch
Maintainer: Neon CI <neon@kde.org>

Package: kxstitch
Architecture: any
Depends: kxstitch-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kxstitch-common (<< 2.2.0-2~)
Replaces: kxstitch-common (<< 2.2.0-2~)
Description: Cross stitch pattern editor
 KXStitch is a program that lets you create cross stitch patterns and charts.
 Patterns can be created from scratch on a user defined size of grid, which
 can be enlarged or reduced in size as your pattern progresses.

Package: kxstitch-common
Architecture: all
Depends: ${misc:Depends}
Breaks: kxstitch (<< 2.2.0-2~)
Replaces: kxstitch (<< 2.2.0-2~)
Description: Data files, icons and documentation for kxstitch
 KXStitch is a program that lets you create cross stitch patterns and charts.
 Patterns can be created from scratch on a user defined size of grid, which
 can be enlarged or reduced in size as your pattern progresses.
 .
 This package contains the data files for KXStitch.

## kxstitch 2.2.0+p24.04+vunstable+git20251020.0017

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vunstable+git20251020.0017-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:17:58 +0000

## kxstitch 2.2.0+p24.04+vunstable+git20251021.0240

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vunstable+git20251021.0240-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 02:40:11 +0000

## kxstitch 2.2.0+p24.04+vunstable+git20251123.1235

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vunstable+git20251123.1235-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 12:35:18 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf6

## kxstitch 2.2.0+p24.04+vunstable+git20260105.1422

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vunstable+git20260105.1422-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 14:22:25 +0000

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,29 @@
 Uploaders: Scarlett Moore <sgmoore@kde.org>
 Section: misc
 Priority: optional
-Build-Depends: cmake (>= 2.8.12~),
+Build-Depends: cmake,
                debhelper-compat (= 13),
-               extra-cmake-modules,
+               doxygen,
                gettext,
-               libkf5completion-dev,
-               libkf5config-dev,
-               libkf5configwidgets-dev,
-               libkf5doctools-dev,
-               libkf5i18n-dev,
-               libkf5kio-dev,
-               libkf5textwidgets-dev,
-               libkf5widgetsaddons-dev,
-               libkf5xmlgui-dev,
+               graphviz,
+               kf6-extra-cmake-modules,
+               kf6-kcompletion-dev,
+               kf6-kconfig-dev,
+               kf6-kconfigwidgets-dev,
+               kf6-kdoctools-dev,
+               kf6-ki18n-dev,
+               kf6-kio-dev,
+               kf6-ktextwidgets-dev,
+               kf6-kwidgetsaddons-dev,
+               kf6-kxmlgui-dev,
+               libmagick++-6-headers,
                libmagick++-6.q16-dev,
-               libqt5x11extras5-dev,
-               pkg-kde-tools,
-               qtbase5-dev,
+               libmagick++-6.q16hdri-dev,
+               pkg-kde-tools-neon,
+               pkgconf,
+               qt6-base-dev,
                shared-mime-info
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/applications/graphics/kxstitch
 Vcs-Git: https://invent.kde.org/neon/extras/kxstitch.git

## kxstitch 2.2.0+p24.04+vunstable+git20260123.0452

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vunstable+git20260123.0452-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 04:52:15 +0000

## kxstitch 2.2.0+p24.04+vunstable+git20260131.0024

=== debian/changelog ===
kxstitch (2.2.0+p24.04+vunstable+git20260131.0024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 00:24:18 +0000

## kxstitch 3.0.0~git20250215.a6082a9b

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

project (kxstitch VERSION "3.0.0")

find_package (ECM REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include (KDEInstallDirs)
include (KDECMakeSettings)
include (KDECompilerSettings NO_POLICY_SCOPE)
include (ECMSetupVersion)
include (ECMInstallIcons)
include (FeatureSummary)

kde_enable_exceptions()

find_package (Qt6 CONFIG REQUIRED
    Core
    PrintSupport
    Widgets
)

find_package (KF6DocTools)

find_package (KF6 REQUIRED COMPONENTS
    Config
    ConfigWidgets
    Completion
    GuiAddons
    I18n
    KIO
    TextWidgets
    WidgetsAddons
    XmlGui
)

find_package (PkgConfig REQUIRED)
pkg_check_modules (Magick++ REQUIRED IMPORTED_TARGET Magick++)
find_package (Doxygen)
find_package (SharedMimeInfo)

if (DOXYGEN_FOUND)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
    add_custom_target (doc ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
                       WORKING_DIRECTORY ${CMAKE_CURENT_BINARY_DIR}
                       COMMENT "Generating API documentation with Doxygen" VERBATIM)
endif (DOXYGEN_FOUND)

include_directories (BEFORE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/src)

ecm_setup_version(${kxstitch_VERSION}
    VARIABLE_PREFIX KXSTITCH
    VERSION_HEADER Version.h
)

set (kxstitch_SRCS
    src/BackgroundImage.cpp
    src/BackgroundImages.cpp
    src/Boundary.cpp
    src/Commands.cpp
    src/ConfigurationDialogs.cpp
    src/Document.cpp
    src/DocumentFloss.cpp
    src/DocumentPalette.cpp
    src/Editor.cpp
    src/Element.cpp
    src/Exceptions.cpp
    src/Floss.cpp
    src/FlossScheme.cpp
    src/KeycodeLineEdit.cpp
    src/Layer.cpp
    src/Layers.cpp
    src/LibraryFile.cpp
    src/LibraryPattern.cpp
    src/Main.cpp
    src/MainWindow.cpp
    src/Page.cpp
    src/Palette.cpp
    src/PaperSizes.cpp
    src/Pattern.cpp
    src/Preview.cpp
    src/PrinterConfiguration.cpp
    src/Renderer.cpp
    src/Scale.cpp
    src/ScaledPixmapLabel.cpp
    src/SchemeManager.cpp
    src/Stitch.cpp
    src/StitchData.cpp
    src/Symbol.cpp
    src/SymbolLibrary.cpp
    src/SymbolManager.cpp

    src/AlphaSelect.cpp
    src/CalibrateFlossDlg.cpp
    src/ExtendPatternDlg.cpp
    src/FilePropertiesDlg.cpp
    src/ImageElementDlg.cpp
    src/ImportImageDlg.cpp
    src/KeyElementDlg.cpp
    src/LibraryFilePathsDlg.cpp
    src/LibraryListWidget.cpp
    src/LibraryListWidgetItem.cpp
    src/LibraryManagerDlg.cpp
    src/LibraryPatternPropertiesDlg.cpp
    src/LibraryTreeWidget.cpp
    src/LibraryTreeWidgetItem.cpp
    src/NewFlossDlg.cpp
    src/PaletteManagerDlg.cpp
    src/PageLayoutEditor.cpp
    src/PagePreviewListWidgetItem.cpp
    src/PagePropertiesDlg.cpp
    src/PatternElementDlg.cpp
    src/PrintSetupDlg.cpp
    src/SelectArea.cpp
    src/SymbolListWidget.cpp
    src/SymbolSelectorDlg.cpp
    src/TextElementDlg.cpp
    src/TextToolDlg.cpp

    kxstitch.qrc
)

file(GLOB kxstitch_UI ${CMAKE_CURRENT_SOURCE_DIR}/ui/*.ui)

ki18n_wrap_ui(kxstitch_SRCS ${kxstitch_UI})

add_subdirectory(icons)
add_subdirectory(schemes)
add_subdirectory(symbols)
add_subdirectory(library)
add_subdirectory(doc)

kconfig_add_kcfg_files(kxstitch_SRCS configuration.kcfgc)

add_executable (kxstitch ${kxstitch_SRCS})

target_link_libraries (kxstitch
    Qt6::Core
    Qt6::PrintSupport
    Qt6::Widgets
    KF6::Completion
    KF6::ConfigGui
    KF6::GuiAddons
    KF6::KIOFileWidgets
    KF6::I18n
    KF6::TextWidgets
    KF6::WidgetsAddons
    KF6::XmlGui
    PkgConfig::Magick++
)

set (WITH_PROFILING OFF CACHE BOOL "Build with profiling support")

if (WITH_PROFILING)
    add_definitions( -pg )
    set_target_properties (kxstitch PROPERTIES LINK_FLAGS -pg)
endif (WITH_PROFILING)

if (SILENCE_DEPRECATED)
    add_definitions( -Wno-deprecated-declarations )
endif (SILENCE_DEPRECATED)

add_definitions(
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_URL_CAST_FROM_STRING
)

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    message (STATUS "Processing translations")
    ki18n_install(po)
    kdoctools_install(po)
endif(IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")

install (TARGETS kxstitch DESTINATION ${KDE_INSTALL_BINDIR})
install (FILES kxstitch.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install (FILES org.kde.kxstitch.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install (FILES org.kde.kxstitch.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

IF (SHAREDMIMEINFO_FOUND AND IS_DIRECTORY ${KDE_INSTALL_MIMEDIR})
    install (FILES kxstitch.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
    update_xdg_mimetypes (${KDE_INSTALL_MIMEDIR})
ENDIF (SHAREDMIMEINFO_FOUND AND IS_DIRECTORY ${KDE_INSTALL_MIMEDIR})

feature_summary (WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== icons/CMakeLists.txt ===
ECM_INSTALL_ICONS(ICONS
    22-actions-kxs-3quarter-stitch.png
    22-actions-kxs-backstitch.png
    22-actions-kxs-center-pattern.png
    22-actions-kxs-color-add.png
    22-actions-kxs-draw-ellipse-filled.png
    22-actions-kxs-draw-rectangle-filled.png
    22-actions-kxs-extend-pattern.png
    22-actions-kxs-format-justify-bottom.png
    22-actions-kxs-format-justify-middle.png
    22-actions-kxs-format-justify-top.png
    22-actions-kxs-frenchknot.png
    22-actions-kxs-full-stitch.png
    22-actions-kxs-half-stitch.png
    22-actions-kxs-quarter-stitch.png
    22-actions-kxs-small-full-stitch.png
    22-actions-kxs-small-half-stitch.png
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

add_subdirectory(app)

=== library/CMakeLists.txt ===
file(GLOB _library "*")
foreach(ITEM ${_library})
    if(IS_DIRECTORY "${ITEM}")
        list(APPEND _libraries "${ITEM}")
    endif()
endforeach()
install(DIRECTORY ${_libraries} DESTINATION ${KDE_INSTALL_DATADIR}/kxstitch/library)

=== schemes/CMakeLists.txt ===
file(GLOB _schemes "*.xml")
install(FILES ${_schemes} DESTINATION ${KDE_INSTALL_DATADIR}/kxstitch/schemes)

=== symbols/CMakeLists.txt ===
file(GLOB _symbols "*.sym")
install(FILES ${_symbols} DESTINATION ${KDE_INSTALL_DATADIR}/kxstitch/symbols)

=== icons/app/CMakeLists.txt ===
file(GLOB _icon_files *.png *.svgz)

ecm_install_icons(ICONS ${_icon_files} DESTINATION ${KDE_INSTALL_ICONDIR})

=== debian/changelog ===
kxstitch (3.0.0~git20250215.a6082a9b-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream git snapshot (3.0.0~git20250215.a6082a9b).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Update project homepage.
  * Use `Extras’ Team email for the Maintainer field.
  * Drop upstream patches.
  * Update the list of installed files.
  * Refresh upstream metadata.
  * Build with hardening=+all build hardening flag.
  * Switch to declarative KF6 debhelper build sequence.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 24 Feb 2025 23:50:07 +0100

kxstitch (2.2.0-4) unstable; urgency=medium

  * Team upload.
  * Fix compatibility with ImageMagick 7: (Closes: #1086934)
    - switch the libmagick++-6.q16-dev build dependency to libmagick++-7.q16-dev
    - add the pkgconf build dependency
    - backport upstream commit 965a0e768390ba3dcb02741b245144888872d76d to use
      the Magick++ pkg-config imported target; patch
      upstream_Use-the-Magick-pkg-config-imported-target.patch
  * Drop old breaks/replaces for versions older than Debian Bullseye.
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Nov 2024 10:20:52 +0100

=== debian/control ===
Source: kxstitch
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16.0~),
               extra-cmake-modules,
               gettext,
               libkf6completion-dev,
               libkf6config-dev,
               libkf6configwidgets-dev,
               libkf6doctools-dev,
               libkf6guiaddons-dev,
               libkf6i18n-dev,
               libkf6kio-dev,
               libkf6textwidgets-dev,
               libkf6widgetsaddons-dev,
               libkf6xmlgui-dev,
               libmagick++-7.q16-dev,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev,
               shared-mime-info,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/kxstitch/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kxstitch
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kxstitch.git

Package: kxstitch
Architecture: any
Depends: kxstitch-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Cross stitch pattern editor
 KXStitch is a program that lets you create cross stitch patterns and charts.
 Patterns can be created from scratch on a user defined size of grid, which
 can be enlarged or reduced in size as your pattern progresses.

Package: kxstitch-common
Architecture: all
Depends: ${misc:Depends},
Description: Data files, icons and documentation for kxstitch
 KXStitch is a program that lets you create cross stitch patterns and charts.
 Patterns can be created from scratch on a user defined size of grid, which
 can be enlarged or reduced in size as your pattern progresses.
 .
 This package contains the data files for KXStitch.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DBUILD_WITH_QT6=ON

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://download.kde.org/stable/@PACKAGE@/([\d\.]*)/@PACKAGE@-([^-]*).tar.xz
